<template>
    <div class="content__leftAnalitika">
        <div class="control-user__bottom">
            <div class="box-user__table--head wow fadeInUp">
                <p class="text-tabelHead">{{ $t('users.auth_logs.user') }}</p>
                <p class="text-tabelHead">{{ $t('users.auth_logs.date') }}</p>
                <p class="text-tabelHead">{{ $t('users.auth_logs.ip') }}</p>
                <p class="text-tabelHead">{{ $t('users.auth_logs.country') }}</p>
            </div>
            <log :log="log" v-for="log in logs" :key="log.id"/>
            <paginator
                :current-page="currentPage"
                :last-page="lastPage"
                :per-page="perPage"
                :items-count="total"
                @page-changed="setPage"
            />
        </div>
    </div>
</template>

<script>
	import {mapGetters} from "vuex";
	import Log from "../components/users/Log";

    export default {
		name: "AuthLog",
        props: ['id'],
        data(){
		    return {
		        user_id: this.id,
                currentPage: 0,
                lastPage: 0,
                perPage: 0,
                total: 0,
                page: 1,
                logs: [],
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ])
        },
        methods: {
            submit(){
                this.axios.get('auth_log', {
                    params: {
                        page: this.page,
                        user_id: this.user_id
                    }
                })
                    .then(resp => resp.data)
                    .then(logs => {
                        console.log(logs);
                        this.currentPage = logs.current_page;
                        this.lastPage = logs.last_page;
                        this.perPage = logs.per_page;
                        this.total = logs.total;
                        this.logs = logs.data;
                    });
            },
            setPage(page){
                this.page = page;
                this.submit();
            },
        },
        created(){
            this.submit();
        },
        components: {
		    Log
        }
	}
</script>

<style scoped>

</style>
